org.apache.lucene.search.similarities

## Class LambdaTTF

- java.lang.Object
- - org.apache.lucene.search.similarities.Lambda
  - - org.apache.lucene.search.similarities.LambdaTTF

    public class LambdaTTF
    extends Lambda

Computes lambda as `totalTermFreq+1 / numberOfDocuments+1`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`LambdaTTF()` Sole constructor: parameter-free

### Method Summary

All Methods Instance Methods Concrete Methods
`Explanation` `explain(BasicStats stats)` Explains the lambda parameter.
`float` `lambda(BasicStats stats)` Computes the lambda parameter.
`String` `toString()` Subclasses must override this method to return the code of the lambda formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LambdaTTF

    public LambdaTTF()

Sole constructor: parameter-free

### Method Detail

#### lambda

    public final float lambda(BasicStats stats)

Description copied from class: `Lambda`
Computes the lambda parameter.

Specified by:
  `lambda` in class `Lambda`

#### explain

    public final Explanation explain(BasicStats stats)

Description copied from class: `Lambda`
Explains the lambda parameter.

Specified by:
  `explain` in class `Lambda`

#### toString

    public String toString()

Description copied from class: `Lambda`
Subclasses must override this method to return the code of the lambda formula. Since the original paper is not very clear on this matter, and also uses the DFR naming scheme incorrectly, the codes here were chosen arbitrarily.

Specified by:
  `toString` in class `Lambda`